]> arthur.barton.de Git - bup.git/blobdiff - cmd/save-cmd.py
Configure python, use it, and embed during install
[bup.git] / cmd / save-cmd.py
index fc93408c2a5dcc61923d2f7bc18356856c4fe926..664b580176a66c888be1634067abc769255b320e 100755 (executable)
@@ -1,4 +1,9 @@
-#!/usr/bin/env python
+#!/bin/sh
+"""": # -*-python-*-
+bup_python="$(dirname "$0")/bup-python" || exit $?
+exec "$bup_python" "$0" ${1+"$@"}
+"""
+# end of bup preamble
 import sys, stat, time, math
 from cStringIO import StringIO
 from errno import EACCES